Cart New Account Login

HomeAbout usProductsSupportForumsBlogCustomer Service

search inside this forum
Unable to flash KL05 with PROGARM tool
kongara S. Jul 16, 2016 at 07:19 AM (07:19 hours)
Staff: Takao Y.

  • Hi,

    i am using a custom board with KL05Z32VFM4. PROGARM tool fails to flash the elf file with USB_ML_UNIVERSAL Rev.A. But, i am able to flash it through KDS 3.2.




    Comments

  • Greetings,

    What version of PROGARM are you using? If you are truly using PROGARM and not PROGACMP, then you must have a very old version. Initially the software was called PROGARM roughly 4 years ago (before KL05Z even existed). Since then, we have renamed it PROGACMP. It may be that you have a software too old to support your chip.

    Also, look at the last-modified date of the PROG executable and let me know what date is indicated there.


    Takao Yamada

    • Truly its old, way back to 2011. We are using "PROGARM Programmer - Version 1.70.00.02". Last modified date 2/5/2011.

      How can i get the latest version?

      Thank you.

  • Greetings,

    Our software update policy is that you get free software upgrades within a year of purchase, and a 50% discount within 2 years of purchase. But since you are outside of that time-frame, you will need to go purchase a new software license.

    Since you know your hardware setup works with KDS and since a lot of the KDS GDB development is based off the PROG and ICD software we sell, I think you should be confident to know that the new version of PROG ACMP software will work. If it does not, we will give you your money back.


    Takao Yamada

    • Thank you for your support. Definitely we will follow your suggestion.

Add comment


   Want to comment? Please login or create a new PEMicro account.







© 2017 P&E Microcomputer Systems Inc.
Website Terms of Use and Sales Agreement